CVC4::DatatypeConstructorArgIterator Class Reference

`#include <datatype.h>`

## Public Types

typedef const DatatypeConstructorArg & | value_type

## Public Member Functions

const DatatypeConstructorArg & | operator* () const
const DatatypeConstructorArg * | operator-> () const
DatatypeConstructorArgIterator & | operator++ ()
DatatypeConstructorArgIterator | operator++ (int)
bool | operator== (const DatatypeConstructorArgIterator &other) const
bool | operator!= (const DatatypeConstructorArgIterator &other) const

## Friends

class | DatatypeConstructor

## Detailed Description

Definition at line 65 of file datatype.h.

## Member Typedef Documentation

## value_type

typedef const DatatypeConstructorArg& CVC4::DatatypeConstructorArgIterator::value_type

Definition at line 75 of file datatype.h.

## Member Function Documentation

## operator!=()

bool CVC4::DatatypeConstructorArgIterator::operator!= | ( | const DatatypeConstructorArgIterator & | other | ) | const

inline

Definition at line 81 of file datatype.h.

## operator*()

const DatatypeConstructorArg & CVC4::DatatypeConstructorArgIterator::operator* | ( |  | ) | const

inline

Definition at line 76 of file datatype.h.

## operator++() [1/2]

DatatypeConstructorArgIterator & CVC4::DatatypeConstructorArgIterator::operator++ | ( |  | ) |

inline

Definition at line 78 of file datatype.h.

## operator++() [2/2]

DatatypeConstructorArgIterator CVC4::DatatypeConstructorArgIterator::operator++ | ( | int |  | ) |

inline

Definition at line 79 of file datatype.h.

## operator->()

const DatatypeConstructorArg * CVC4::DatatypeConstructorArgIterator::operator-> | ( |  | ) | const

inline

Definition at line 77 of file datatype.h.

## operator==()

bool CVC4::DatatypeConstructorArgIterator::operator== | ( | const DatatypeConstructorArgIterator & | other | ) | const

inline

Definition at line 80 of file datatype.h.

## Friends And Related Symbol Documentation

## DatatypeConstructor

friend class DatatypeConstructor

friend

Definition at line 69 of file datatype.h.

The documentation for this class was generated from the following file:

- src/util/datatype.h